Bug 134604 - ccs_test connect fails after cluster.conf file has been updated on different node
ccs_test connect fails after cluster.conf file has been updated on different ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 17:41 EDT by Corey Marthaler
Modified: 2009-04-16 16:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 14:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-10-04 17:41:53 EDT
Description of problem:
1. Get a quorate cluster up
2. attempt a ccs_connect and it will return a vaild cd
3. update the cluster.conf file on another node and send a HUP
4. wait
5. a ccs_connect attempt will fail
6. a second ccs_conncet attempt will return a vaild cd

[root@morph-05 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   M   morph-05
   2    1    5   M   morph-02
   3    1    5   M   morph-04
   4    1    5   M   morph-03
   5    1    5   M   morph-01
[root@morph-05 root]# ccs_test connect
Connect successful.
 Connection descriptor = 0
[root@morph-05 root]# ccs_test connect
Connect successful.
 Connection descriptor = 1

### Updated file on another node
### the new file appears:

[root@morph-05 root]# head /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="5">

<cman>
</cman>

<dlm>
</dlm>

<nodes>
[root@morph-05 root]# ccs_test connect
ccs_connect failed: Operation not permitted
[root@morph-05 root]# ccs_test connect
Connect successful.
 Connection descriptor = 2


SYSLOG:

Oct  4 16:36:24 morph-05 ccsd[2138]: cluster.conf on-disk version is
<= to in-memory version.
Oct  4 16:36:24 morph-05 ccsd[2138]:  On-disk version   : 5
Oct  4 16:36:24 morph-05 ccsd[2138]:  In-memory version : 5
Oct  4 16:36:24 morph-05 ccsd[2138]: Failed to update config file,
required by cluster.
Oct  4 16:36:24 morph-05 ccsd[2138]: Error while processing connect:
Operation not permitted

How reproducible:
Always
Comment 1 Kiersten (Kerri) Anderson 2004-11-04 10:07:12 EST
Updates with the proper version and component name.
Comment 2 Kiersten (Kerri) Anderson 2004-11-04 10:15:05 EST
Updates with the proper version and component name.
Comment 3 Kiersten (Kerri) Anderson 2004-11-04 10:20:23 EST
Updates with the proper version and component name. Again, just love out tools.
Comment 4 Jonathan Earl Brassow 2004-12-17 12:53:34 EST
- fix bug 143165, 134604, and 133254 - update related issues
  These all seem to be related to the same issue, that is, remote
  nodes were erroneously processing an update as though they were
  the originator - taking on some tasks that didn't belong to them.

  This was causing connect failures, version rollbacks, etc.
Comment 5 Corey Marthaler 2004-12-20 14:59:22 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.